Subject: Re: ISSUE 31: qdtext BNF

From: Mark Nottingham <[email-masked]>
Date: Tue, 12 Jun 2007 22:40:00 +1000

http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/issues/#i64

On 21/04/2007, at 1:12 AM, Dan Winship wrote:

>
> Julian Reschke wrote:
>> (see <http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/issues/#i31>)
>
> I think quoted-pair is broken too. Merging your fix into RFC2616  
> gives:
>
>        quoted-string  = ( <"> *(qdtext | quoted-pair ) <"> )
>        qdtext         = <any TEXT excluding '"' and '\'>
>        quoted-pair    = "\" CHAR
>        CHAR           = <any US-ASCII character (octets 0 - 127)>
>
> but that means you can do this:
>
>        HTTP/1.1 200 OK
>        Warning: "Don't misparse \
>        this: it's really a single header!"
>
> (if the receiving implementation follows the recommendations in  
> 19.3 you
> need to escape the LF instead of the CR, but it's otherwise the same.)
>
> RFC 2822 updates RFC 822's quoted-pair rule to disallow CR, LF, and  
> NUL.
> We should probably make the same change.
>
> -- Dan
>

--
Mark Nottingham     http://www.mnot.net/

---

From: Julian Reschke <[email-masked]>
Date: Tue, 12 Jun 2007 16:10:58 +0200

> http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/issues/#i64

That's a duplicate of 
<http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/issues/#i64>, isn't it?

Best regards, Julian

---

From: Mark Nottingham <[email-masked]>
Date: Wed, 13 Jun 2007 00:24:26 +1000

It's late here, so I may be missing something, but I believe those  
are the same, yes. :)

On 13/06/2007, at 12:10 AM, Julian Reschke wrote:

> That's a duplicate of <http://www.w3.org/Protocols/HTTP/1.1/ 
> rfc2616bis/issues/#i64>, isn't it?
>
> Best regards, Julian

---

From: Dan Winship <[email-masked]>
Date: Tue, 12 Jun 2007 10:53:42 -0400

Mark Nottingham wrote:
> It's late here, so I may be missing something, but I believe those are
> the same, yes. :)

He copied the wrong URL :). i64 is a dup of i62.

-- Dan